Bug 804208 - Broken Dependencies
Broken Dependencies
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: calibre (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-16 16:25 EDT by walterhurry
Modified: 2012-05-04 18:42 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-04 18:42:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description walterhurry 2012-03-16 16:25:32 EDT
Description of problem:
Cannot update calibre due to broken dependencies

Version-Release number of selected component (if applicable):
ImageMagick-6.7.1.9-3.fc17.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. sudo yum update --skip-broken

  
Actual results:
[walterh@jupiter ~]$ sudo yum update --skip-broken
Loaded plugins: fastestmirror, langpacks, presto, priorities
Loading mirror speeds from cached hostfile
 * fedora: mirror.bytemark.co.uk
 * rpmfusion-free-rawhide: mirrors.coreix.net
 * rpmfusion-nonfree: mirrors.coreix.net
 * rpmfusion-nonfree-updates: mirrors.coreix.net
 * rpmfusion-nonfree-updates-testing: mirrors.coreix.net
 * updates: mirror.ox.ac.uk
 * updates-testing: mirror.bytemark.co.uk
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package calibre.x86_64 0:0.8.39-1.fc17 will be updated
---> Package calibre.x86_64 0:0.8.42-1.fc17 will be an update
--> Processing Dependency: libMagickWand.so.5()(64bit) for package: calibre-0.8.42-1.fc17.x86_64
--> Processing Dependency: libMagickCore.so.5()(64bit) for package: calibre-0.8.42-1.fc17.x86_64

Packages skipped because of dependency problems:
    calibre-0.8.42-1.fc17.x86_64 from updates-testing
[walterh@jupiter ~]$ 


Expected results:
calibre is updated
Comment 1 Pavel Alexeev 2012-03-17 10:48:34 EDT
I think it is callibre built under buildrood override announced in ML even early submited to update. Reassigning.
Comment 2 Kevin Fenzi 2012-03-17 11:23:27 EDT
Yes. Are you going to submit an update with all the rebuilt packages and ImageMagick?
Comment 3 Pavel Alexeev 2012-03-17 11:42:14 EDT
I was planning that. But override to 23 march, I think I should wait builds of other dependent packages.
Comment 4 Kevin Fenzi 2012-03-17 12:01:52 EDT
ok. I'll unpush my calibre update. Please add it to the update you push with the new ImageMagick. 

Let me know if there's anything further I can do to help.
Comment 5 Kevin Fenzi 2012-05-04 18:42:16 EDT
This should be all fixed now.

Note You need to log in before you can comment on or make changes to this bug.